Subject: [bug#63393] [PATCH 0/2] Fix libstdc++.so and gcc-toolchain

From: Ludovic Courtès <[email-masked]>
Date: Thu, 11 May 2023 15:38:01 +0200

Hi,

Simon Tournier <[email-masked]> skribis:

> * gnu/packages/commencement.scm (make-gcc-toolchain): Add 'lib' outputs.

[...]

>                                      (filter-map (match-lambda
>                                                    (("libc-debug" . _) #f)
>                                                    (("libc-static" . _) #f)
> +                                                  (("gcc-lib" . _) #f)
> +                                                  (("gcc-debug" . _) #f)

I would include gcc:lib in “out” (thus not adding a “lib” output to
‘gcc-toolchain’).

Yes, gcc:lib includes *.a and *.la, but those are already part of the
‘gcc-toolchain’ closure:

--8<---------------cut here---------------start------------->8---
$ guix size gcc-toolchain |head -6
store item                                                       total    self
/gnu/store/jv78mm3dmr6fl2hhy1bkbhfpm702v3gq-gcc-12.3.0             292.6   169.4  41.2%
/gnu/store/zh4x65snfis7svs6906gj1z8i7dx2j3m-binutils-2.38           95.5    54.9  13.4%
/gnu/store/g8p09w6r78hhkl2rv1747pcp9zbk6fxv-guile-3.0.9            134.0    53.1  12.9%
/gnu/store/gsjczqir1wbz8p770zndrpw4rnppmxi3-glibc-2.35              40.6    38.8   9.4%
/gnu/store/gmv6n5vy5qcsn71pkapg2hnknyn1p7g3-gcc-12.3.0-lib          76.8    36.2   8.8%
--8<---------------cut here---------------end--------------->8---

However, I’d leave out gcc:debug because (0) it’s unrelated :-), (1)
‘gcc-final’ has no “debug” output, and (2) it’s really for a niche
(folks developing compiler plugins, typically).

I’d also leave out the /lib directory of Binutils, which is again rarely
useful.

WDYT?

Thanks,
Ludo’.